org.codehaus.classworlds

## Class ConfiguratorAdapter

- java.lang.Object
- - org.codehaus.classworlds.Configurator
  - - org.codehaus.classworlds.ConfiguratorAdapter

    public class ConfiguratorAdapter
    extends Configurator

Created by IntelliJ IDEA.

### Method Summary

Methods
`void` `associateRealms()` Associate parent realms with their children.
`void` `configureAdapter(java.io.InputStream is)`
`static ConfiguratorAdapter` `getInstance(Configurator newConfig, ClassWorld world)`
`static ConfiguratorAdapter` `getInstance(Configurator newConfig, Launcher launcher)`

### Methods inherited from class org.codehaus.classworlds.Configurator

`configure, filter, loadGlob, loadGlob, setClassWorld`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static ConfiguratorAdapter getInstance(Configurator newConfig,
                                  Launcher launcher)

#### getInstance

    public static ConfiguratorAdapter getInstance(Configurator newConfig,
                                  ClassWorld world)

#### associateRealms

    public void associateRealms()

Description copied from class: `Configurator`
Associate parent realms with their children.

Overrides:
  `associateRealms` in class `Configurator`

#### configureAdapter

    public void configureAdapter(java.io.InputStream is)
                          throws java.io.IOException,
                                 java.net.MalformedURLException,
                                 ConfigurationException,
                                 DuplicateRealmException,
                                 NoSuchRealmException

Throws:
  `java.io.IOException`
  `java.net.MalformedURLException`
  `ConfigurationException`
  `DuplicateRealmException`
  `NoSuchRealmException`